using UnityEngine;
using System.Collections;

public class gestionSon : MonoBehaviour {
	
	// déclaration des sons
	public AudioClip sonMenu;
	public AudioClip sonNiveau1;
	public AudioClip sonNiveau2;
	public AudioClip sonPerdu;
	public AudioClip sonMeilleurscore;
	public AudioClip sonEcranScore;
	
	
	public static bool sonActif;

	// Use this for initialization
	void Start () 
	{
		sonActif = false;
	}
	
	// Update is called once per frame
	void Update () {
		
		switch (gestionAffichage.etape)
		{
		case "menu" :
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonMenu);
				sonActif = true;
			}
			break;
			
		case "niveau1":
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonNiveau1);
				sonActif = true;
			}
			break;
			
		case "niveau2":
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonNiveau2);
				sonActif = true;
			}
			break;
			
		case "score insuffisant":
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonPerdu);
				sonActif = true;
			}
			break;
			
		case "meilleur score":
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonMeilleurscore);
				sonActif = true;
			}
			break;
			
		case "ecran des scores":
			if (sonActif == false)
			{
				audio.Stop();
				audio.PlayOneShot(sonEcranScore);
				sonActif = true;
			}
			break;
		}
	
	}
}
